/*!
 * ress.css • v4.0.0
 * MIT License
 * github.com/filipelinhares/ress
 */html{box-sizing:border-box;-webkit-text-size-adjust:100%;word-break:normal;-moz-tab-size:4;tab-size:4}*,:after,:before{background-repeat:no-repeat;box-sizing:inherit}:after,:before{text-decoration:inherit;vertical-align:inherit}*{padding:0;margin:0}hr{overflow:visible;height:0;color:inherit}details,main{display:block}summary{display:list-item}small{font-size:80%}[hidden]{display:none}abbr[title]{border-bottom:none;text-decoration:underline;text-decoration:underline dotted}a{background-color:transparent}a:active,a:hover{outline-width:0}code,kbd,pre,samp{font-family:monospace,monospace}pre{font-size:1em}b,strong{font-weight:bolder}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-color:inherit;text-indent:0}input{border-radius:0}[disabled]{cursor:default}[type=number]::-webkit-inner-spin-button,[type=number]::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}[type=search]::-webkit-search-decoration{-webkit-appearance:none}textarea{overflow:auto;resize:vertical}button,input,optgroup,select,textarea{font:inherit}optgroup{font-weight:700}button{overflow:visible}button,select{text-transform:none}[role=button],[type=button],[type=reset],[type=submit],button{cursor:pointer;color:inherit}[type=button]::-moz-focus-inner,[type=reset]::-moz-focus-inner,[type=submit]::-moz-focus-inner,button::-moz-focus-inner{border-style:none;padding:0}[type=button]::-moz-focus-inner,[type=reset]::-moz-focus-inner,[type=submit]::-moz-focus-inner,button:-moz-focusring{outline:1px dotted ButtonText}[type=reset],[type=submit],button,html [type=button]{-webkit-appearance:button}button,input,select,textarea{background-color:transparent;border-style:none}a:focus,button:focus,input:focus,select:focus,textarea:focus{outline-width:0}select{-moz-appearance:none;-webkit-appearance:none}select::-ms-expand{display:none}select::-ms-value{color:currentColor}legend{border:0;color:inherit;display:table;white-space:normal;max-width:100%}::-webkit-file-upload-button{-webkit-appearance:button;color:inherit;font:inherit}img{border-style:none}progress{vertical-align:baseline}[aria-busy=true]{cursor:progress}[aria-controls]{cursor:pointer}[aria-disabled=true]{cursor:default}


html {
  --color__base: rgb(42, 42, 42);
  --color__link: rgb(0, 138, 220);
  --color__background_root: rgb(235, 237, 240);
  --color__background_main: rgb(255, 255, 255);
  --color__background_inline_code: rgb(215, 217, 220);
  --color__strong: rgb(0, 0, 0);
  --color__weak: rgb(84, 84, 84);
}

@media (prefers-color-scheme: dark) {
  html {
    --color__base: rgb(213, 213, 213);
    --color__background_root: rgb(13, 13, 13);
    --color__background_main: rgb(32, 32, 32);
    --color__background_inline_code: rgb(72, 72, 72);
    --color__strong: rgb(255, 255, 255);
    --color__weak: rgb(172, 172, 172);
  }
}

:focus {
  outline-style: solid;
  outline-width: 3px !important;
  outline-color: var(--color__base);
  outline-offset: 1px;
}

body {
  font-family: sans-serif;
  background-color: var(--color__background_root);
  color: var(--color__base);
  width: 95%;
  max-width: 48rem;
  margin-right: auto;
  margin-left: auto;
  overflow-y: scroll;
}

* {
  line-height: 1.7em;
}

body > *{
  margin-top: 2rem;
}

main {
  background-color: var(--color__background_main);
  border-radius: .5rem;
  padding: 2rem;
}

footer {
  text-align: right;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--color__strong);
  font-weight: normal;
}

h1 {
  font-size: 1.4em;
}

h2 {
  font-size: 1.2em;
}

h3 {
  font-size: 1.1em;
}

h4 {
  font-size: 1em;
}

h5 {
  font-size: 0.9em;
}

h6 {
  font-size: 0.8em;
}

:is(h1, h2, h3, h4, h5, h6):not(:first-child), .post-preview, .bottom-nav {
  margin-top: 2rem;
}

:is(h1, h2, h3, h4, h5, h6):not(:last-child), .post-preview, .bottom-nav {
  margin-bottom: .6rem;
}

:is(h1, h2, h3, h4, h5, h6):first-child {
  margin-top: 0;
}

:is(h1, h2, h3, h4, h5, h6):last-child {
  margin-bottom: 0;
}

:is(main, article) > :not(h1, h2, h3, h4, h5, h6) + * {
  margin-top: 1.3rem;
}

small, .no-more-article {
  color: var(--color__weak);
}

.footnote-definition {
  margin-top: .5rem;
}

a {
  color: inherit;
  text-underline-position: under;
}

a.image-container {
  display: inline-block;
  line-height: 100%;
}

a:hover {
  color: var(--color__link);
}

ul, ol {
  padding-inline-start: 1.2em;
}

img:not(.summary-eyecatch) {
  max-width: 100%;
  display: block;
}

.summary-with-eyecatch {
  display: grid;
  grid-template-columns: auto auto;
  gap: 1rem;
}

.summary-eyecatch {
  width: 4rem;
  height: 4rem;
  object-fit: scale-down;
  align-self: center;
}

header {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.nav-list {
  list-style-type: none;
  padding-inline-start: unset;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2rem;
}

.bottom-nav {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
}

.footnote-definition > * {
  font-size: 0.75em;
  display: inline;
}

pre {
  border-radius: .2em;
  padding: .4em;
  margin-top: .4em;
  margin-bottom: .4em;
  overflow: auto;
}

code {
  font-size: .9em;
}

:not(pre) > code {
  background-color: var(--color__background_inline_code);
  display: inline-block;
  border-radius: .2em;
  padding-right: .4em;
  padding-left: .4em;
  margin-right: .2em;
  margin-left: .2em;
  word-wrap: anywhere;
}

blockquote {
  background-color: rgba(128,128,128,0.1);
  background: linear-gradient(to right, rgba(128,128,128,0.8) 0.2em, rgba(128,128,128,0.2) 0.2em);
  font-style: italic;
  padding-right: .8em;
  padding-left: 1.0em;
  border-radius: 0 .2em .2em 0;
}
